//<![CDATA[
function video_provider(){
    var post_video_provider = jQuery("select[name='serpentsoft_video_provider'] option:selected").val();
    if(post_video_provider === 'embedcode') {
        jQuery('#post_video_provider_embed_code').show();
        jQuery('#post_video_provider_code').hide();
        jQuery('#post_banner_lightbox').hide();
    }
    else{
        jQuery('#post_video_provider_code').show();
        jQuery('#post_banner_lightbox').show();
        jQuery('#post_video_provider_embed_code').hide();
    }
}

// Review Dropdownlist
jQuery(document).ready(function() {
"use strict";

jQuery("select[name='serpentsoft_video_provider']").change(function(){
    var post_video_provider = jQuery("select[name='serpentsoft_video_provider'] option:selected").val();

    if(post_video_provider === 'embedcode'){
        jQuery('#post_video_provider_code').fadeOut();
        jQuery('#post_banner_lightbox').fadeOut();
        jQuery('#post_video_provider_embed_code').fadeIn();						
    }
    else{
        jQuery('#post_video_provider_code').fadeIn();
        jQuery('#post_banner_lightbox').fadeIn();
        jQuery('#post_video_provider_embed_code').fadeOut();						
    }
});

// Check Reviews On or Off 
var reviews_on = jQuery("select[name='serpentsoft_post_review_types'] option:selected").val();
if (reviews_on !== 'disabled') { jQuery('#reviews-options').show(); }

jQuery("select[name='serpentsoft_post_review_types']").change(function(){
    var reviews_on = jQuery("select[name='serpentsoft_post_review_types'] option:selected").val();
    if (reviews_on === 'disabled') {
            jQuery('#reviews-options').fadeOut();
    }else{
            jQuery('#reviews-options').fadeIn();
    }
 });

// Post Type Dropdownlist
function hideAllPostFormats() {
    jQuery('#post_video').fadeOut();
    jQuery('#post_soundcloud').fadeOut();
    jQuery('#post_googlemap').fadeOut();
    jQuery('#post_quotation').fadeOut();
    jQuery('#post_self_audio').fadeOut();
    jQuery('#post_self_video').fadeOut();
    jQuery('#post_url').fadeOut();
    jQuery('#post_banner_lightbox').fadeOut();
};

    // ***************** On Page Load *********************
    var post_format_on_load = jQuery("select[name='serpentsoft_post_format'] option:selected ").val();
    switch(post_format_on_load){

        case 'video':{
                hideAllPostFormats();
                jQuery('#post_video').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
                jQuery('#post_banner_lightbox').fadeIn();
                // ========================== Video Provider =============================
                video_provider();
        }
        break;

        case 'soundcloud':{
                hideAllPostFormats();
                jQuery('#post_soundcloud').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;

        case 'map':{
                hideAllPostFormats();
                jQuery('#post_googlemap').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;

        case 'quotation':{
                hideAllPostFormats();
                jQuery('#post_quotation').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;			

        case 'selfaudio':{
                hideAllPostFormats();
                jQuery('#post_self_audio').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;			

        case 'selfvideo':{
                hideAllPostFormats();
                jQuery('#post_self_video').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;

        case 'url':{
                hideAllPostFormats();
                jQuery('#post_url').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
        }
        break;

        case 'none':{
                hideAllPostFormats();
                jQuery('#post_bannerCaption').fadeOut();
                //jQuery('#post_bannerCaption').fadeIn();
        }
        break;

        default: {
                hideAllPostFormats();
                jQuery('#post_bannerCaption').fadeIn();
                jQuery('#post_banner_lightbox').fadeIn();
        }
        break;
    }


    // ***************** On Change *********************
    jQuery("select[name='serpentsoft_post_format']").change(function(){
        var post_format = jQuery("select[name='serpentsoft_post_format'] option:selected ").val();

        switch(post_format){

            case 'video':{
                hideAllPostFormats();
                jQuery('#post_video').fadeIn();
                jQuery('#post_bannerCaption').fadeIn();
                jQuery('#post_banner_lightbox').fadeIn();
                // ========================== Video Provider =============================
                    video_provider();
            }
            break;

            case 'soundcloud':{
                    hideAllPostFormats();
                    jQuery('#post_soundcloud').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;

            case 'map':{
                    hideAllPostFormats();
                    jQuery('#post_googlemap').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;

            case 'quotation':{
                    hideAllPostFormats();
                    jQuery('#post_quotation').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;			

            case 'selfaudio':{
                    hideAllPostFormats();
                    jQuery('#post_self_audio').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;			

            case 'selfvideo':{
                    hideAllPostFormats();
                    jQuery('#post_self_video').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;

            case 'url':{
                    hideAllPostFormats();
                    jQuery('#post_url').fadeIn();
                    jQuery('#post_bannerCaption').fadeIn();
            }
            break;

            case 'none':{
                hideAllPostFormats();
                jQuery('#post_bannerCaption').fadeOut();
            }
            break;

            default: {
                    hideAllPostFormats();
                    jQuery('#post_bannerCaption').fadeIn();
                    jQuery('#post_banner_lightbox').fadeIn();
            }
            break;
        }

     });
	 
	
    // Page Layout (Middle, Left, Right)
    jQuery("#page-layout-options input:checked").parent().addClass("selected");
    jQuery("#page-layout-options .checkbox-select").click(
        function(event) {
            event.preventDefault();
            jQuery("#page-layout-options li").removeClass("selected");
            jQuery(this).parent().addClass("selected");
            jQuery(this).parent().find(":radio").attr("checked","checked");			 
        });
});
//]]>